# Slow-Start Power Socket

If you have many devices connected to the same circuit breaker, powering them all on at once might trip the breaker due to the initial surge. The only option in this case is to disconnect them all, turn on the circuit breaker and then connect the devices one by one.
If this sounds familiar, you need a *slow-start power socket*!

This device controls a strip of power sockets, enabling them individually one by one with a delay. This way, the power demand increase is more gradual, which helps to avoid tripping the circuit breaker.

![resulting build](demo.jpg)

## Overview

The device connects to the electrical grid through an internal circuit breaker via a standard power cord. Everything sits behind the internal circuit breaker for added safety.
A microcontroller (MCU) is powered from a 5V power adapter which is connected directly to the internal breaker.
The MCU controls a set of relays, which in turn enable power to individual power sockets. Initially, all the sockets start disconnected and need to be connected by the MCU.

Upon power on the MCU waits a few seconds before enabling each of the power sockets individually with a short delay.
Afterwards it sits idly by, until the system is powered off again.

All of this is enclosed in an electrical distribution box.

![block diagram](blocks.jpg)

Optionally a speaker may be connected to the MCU and used to indicate the state of the power socket "boot" process.

## Warning
(!) Mains voltage is a deadly business (!)

Don't continue with this project unless you have the knowledge and the experience to implement it safely!

## Bill of Materials
- microcontroller (MCU, Arduino)
- multi-relay module board (5V)
- 5V power source (to power the MCU and relays)
- electrical distribution box (or any safe housing for the whole device)
- power socket modules suitable for the distribution box
- circuit breaker module suitable for the distribution box
- corded power plug (for connecting the whole device to electricity)
- electrical cables suitable for the internal wiring
- speaker (optional)

## Build Instructions

Intentionally left out. The above + the source code should give you enough information on how to build this, assuming you know enough to finish this safely.

